% simple one mirror reflection and transmission
% input to the object is used in defineIFO to change local variables
% The following does not trick
%       eval( UtilTK.setVars( who, true, varargin{:} ) );
%
% BSmap default run, portIndex = 1, refection on HR side
bs = BSmap;
% field on target
[Eh, x] = bs.getField('reflMon');
figure(1)
pcolor( x, x, log(abs(Eh)) ); shading flat; axis equal
% field on target after subtracting Gauss00 component using gaussiant fit
Eh = bs.Non00Amp( 'reflMon', true );
figure(2)
pcolor( x, x, log(abs(Eh)) ); shading flat; axis equal
% BSmap with portIndex = 4, i.e., input beam is from AR side
bs = BSmap('portIndex',4);
Ea = bs.Non00Amp( 'reflMon', true );
figure(3)
pcolor( x, x, log(abs(Ea)) ); shading flat; axis equal
