function Reff = weightedRadius( map, rList, w )
% function reff = weightedRadius( map, rList, w )

if size(map) ~= size(rList )
    rList = rList';
end
rSqeff = sum( map .* exp(-2*rList.^2/w^2) .* rList ) * (rList(2)-rList(1));
Reff = w^4/16/rSqeff;

