% simplest FP setup
classdef FP < FFTIFO
    
    methods
        function defineIFO( obj )
%% add optics
            obj.addLaser( 'src', 'power', 1 );
            obj.addMirror( 'ITM', 'invRoC', 1/1934, 'T', 0.014 );
            obj.addMirror( 'ETM', 'invRoC', 1/2245, 'T', 5e-6 );
            
%% define connections among optics
            obj.addProp( '', 'src', 'ITM-AR' );
            obj.addProp( 'FPprop', 'ITM-HR', 'ETM-HR', 4000);            
        end
    end
end
