%
% LaserSrc : Laser source
%
% June 26, 2012
%
% September 2, 2015
%    Using new OpticObj structure with ifo property, mostly
%    changing ConstantTK.kLam0 to obj.ifo.fields.kCR
%
% October 26, 2014
%   set reflMatch to be [1,1], so in will be reflected back to out
%   fillQvals --> fillQal uses this
%

%
classdef LaserObj < OpticObj
    
    properties
       power = 1;
    end
    
    methods
        function obj = LaserObj( ifo, name, power )
            obj = obj@OpticObj( ifo, name, 1, 1);
            obj.power = power;
            
%             obj.reflMatch  = [1];
%             obj.reflABCD{1} = [];
        end
        
        function info = printInfo( obj )
            info = printInfo@OpticObj( obj );
            info = sprintf('%sLaser power = %e\n', info, obj.power );
        end
    end
end
