% create PRM with arm
prm = LLOPRFPM;
% adjust length and calculate fields
prm.lock;
% contrast defect, the ratio of power on the dark size and bright side of BS
CD = prm.power('BS-ARy-o') / prm.power('BS-HRx-o') * 1e6;
% LG mode fractions in each side
prm.LGFrac('BS-HRx-o', 0:5,0)
prm.LGFrac('BS-HRy-o', 0:5,0)

% change the ETM curvature from 1/2242.4 to 1/2242.4 + 1/100km
prm.updateMirMaps('ETMY', 'invRoCETMY', 1e-5 );
% adjust length and calculate fields
prm.lock;
% contrast defect, the ratio of power on the dark size and bright side of BS
CD = prm.power('BS-ARy-o') / prm.power('BS-HRx-o') * 1e6;
% LG mode fractions in each side
prm.LGFrac('BS-HRx-o', 0:5,0)
prm.LGFrac('BS-HRy-o', 0:5,0)
