function PSDs = calcZygoPSDs( COC, location )

names = getZygoFiles( COC, location );
PSDs(length(names)) = struct( 'name', '', 'f', 0, 'PSD', 0 );
for index = 1 : length(names)
    PSDs(index).name = names(index);
    [PSDs(index).f, PSDs(index).PSD] = map2PSD1D( strcat(location,names{index}), 0.32, 0, 0.08 );
    PSDs(index).PSD = PSDs(index).PSD * 1e21;
    PSDs(index).f = PSDs(index).f / 1000;
end
