function [CD,DfromY,DfromX,Edark] = contDef( ifo )  
    ID6 = ifo.fields.findNamedField('BS-HRy-i');
    ifo.optics.trans(ID6);
    [DfromY, xBS] = ifo.getField('BS-ARy-o');
    dx2 = (xBS(2) - xBS(1))^2;
    ID4 = ifo.fields.findNamedField('BS-ARx-i');
    ifo.optics.refl(ID4);
    DfromX = ifo.getField('BS-ARy-o');
    Edark = DfromY + DfromX;
    CD = sum(sum( abs(Edark).^2 )) / ifo.power('BS-HRx-i') * dx2;
end