function plotIMCThermal( IMCpower, outScan, peakdataX )

subplot(2,2,1)
plot( outScan(:,1), (outScan(:,2)-outScan(1,2))/1.064e-6*pi/2, 'x-')
hold on
plotDFs( IMCpower, peakdataX, 1:2, 9)
legend('00', '01', '10', 'location', 'southwest')
hold off
title('n+m=1')
axis([0 0.02 -2e-3 0])
grid
xlabel('absorption per mirror (W)')
ylabel('frequency shift / FSR')

subplot(2,2,2)
plot( outScan(:,1), (outScan(:,2)-outScan(1,2))/1.064e-6*pi/2, 'x-')
hold on
plotDFs( IMCpower, peakdataX, 3:5, 9)
hold off
legend('00', '20', '02', '11', 'location', 'southwest')
title('n+m=2')
axis([0 0.02 -2e-3 0])
grid

subplot(2,2,3)
plot( outScan(:,1), (outScan(:,2)-outScan(1,2))/1.064e-6*pi/2, 'x-')
hold on
plotDFs( IMCpower, peakdataX, 6:9, 9)
legend('00', '30', '12', '21', '03', 'location', 'southwest')
hold off
title('n+m=3')
axis([0 0.02 -2e-3 0])
grid

subplot(2,2,4)
plot( outScan(:,1), (outScan(:,2)-outScan(1,2))/1.064e-6*pi/2, 'x-')
hold on
plotDFs( IMCpower, peakdataX, 10:14, 9)
legend('00', '40', '22', '04', '31', '13', 'location', 'southwest')
hold off
title('n+m=4')
axis([0 0.02 -2e-3 0])
grid
